diff --git a/changelog b/changelog
index 98ee5e5..509310d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080406 tpd src/input/Makefile add integration regression testing
+20080406 tpd src/input/schaum19.input integrals of sin(ax) and cos(ax)
 20080404 tpd faq FAQ 46: Axiom Trademark information
 20080404 tpd faq FAQ 45: Axiom Copyright information
 20080403 tpd src/input/Makefile add integration regression testing
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index dbeb3d7..8170a48 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -359,7 +359,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     schaum5.regress   schaum6.regress  schaum7.regress  schaum8.regress \
     schaum9.regress   schaum10.regress schaum11.regress schaum12.regress \
     schaum13.regress  schaum14.regress schaum15.regress schaum16.regress \
-    schaum17.regress  schaum18.regress \
+    schaum17.regress  schaum18.regress schaum19.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -637,7 +637,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/schaum8.input  ${OUT}/schaum9.input    ${OUT}/schaum10.input \
        ${OUT}/schaum11.input ${OUT}/schaum12.input   ${OUT}/schaum13.input \
        ${OUT}/schaum14.input ${OUT}/schaum15.input   ${OUT}/schaum16.input \
-       ${OUT}/schaum17.input ${OUT}/schaum18.input \
+       ${OUT}/schaum17.input ${OUT}/schaum18.input   ${OUT}/schaum19.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -945,6 +945,7 @@ DOCFILES= \
   ${DOC}/schaum13.input.dvi    ${DOC}/schaum14.input.dvi \
   ${DOC}/schaum15.input.dvi    ${DOC}/schaum16.input.dvi \
   ${DOC}/schaum17.input.dvi    ${DOC}/schaum18.input.dvi \
+  ${DOC}/schaum19.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum19.input.pamphlet b/src/input/schaum19.input.pamphlet
new file mode 100644
index 0000000..37e89ee
--- /dev/null
+++ b/src/input/schaum19.input.pamphlet
@@ -0,0 +1,888 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum19.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.399~~~~~$\displaystyle
+\int{\sin{ax}\cos{ax}}~dx$}
+$$\int{\sin{ax}\cos{ax}}=
+\frac{\sin^2{ax}}{2a}
+$$
+<<*>>=
+)spool schaum19.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 36
+aa:=integrate(sin(a*x)*cos(a*x),x)
+--R 
+--R
+--R                  2
+--R          cos(a x)
+--R   (1)  - ---------
+--R              2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.400~~~~~$\displaystyle
+\int{\sin{px}\cos{qx}}~dx$}
+$$\int{\sin{px}\cos{qx}}=
+-\frac{cos(p-q)x}{2(p-q)}-\frac{cos(p+q)x}{2(p+q)}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 36
+aa:=integrate(sin(p*x)*cos(q*x),x)
+--R 
+--R
+--R        q sin(p x)sin(q x) + p cos(p x)cos(q x)
+--R   (1)  ---------------------------------------
+--R                         2    2
+--R                        q  - p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.401~~~~~$\displaystyle
+\int{\sin^n{ax}\cos{ax}}~dx$ provided $n \ne -1$}
+$$\int{\sin^n{ax}\cos{ax}}=
+\frac{\sin^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 36
+aa:=integrate(sin(a*x)^n*cos(a*x),x)
+--R 
+--R
+--R                  n log(sin(a x))
+--R        sin(a x)%e
+--R   (1)  -------------------------
+--R                 a n + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.402~~~~~$\displaystyle
+\int{\cos^n{ax}*sin{ax}}~dx$ provided $n \ne -1$}
+$$\int{\cos^n{ax}*sin{ax}}=
+-\frac{\cos^{n+1}{ax}}{(n+1)a}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 36
+aa:=integrate(cos(a*x)^n*sin(a*x),x)
+--R 
+--R
+--R                    n log(cos(a x))
+--R          cos(a x)%e
+--R   (1)  - -------------------------
+--R                   a n + a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.403~~~~~$\displaystyle
+\int{\sin^2{ax}\cos^2{ax}}$}
+$$\int{\sin^2{ax}\cos^2{ax}}=
+\frac{x}{8}-\frac{\sin{4ax}}{32a}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 36
+aa:=integrate(sin(a*x)^2*cos(a*x)^2,x)
+--R 
+--R
+--R                    3
+--R        (- 2cos(a x)  + cos(a x))sin(a x) + a x
+--R   (1)  ---------------------------------------
+--R                           8a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.404~~~~~$\displaystyle
+\int{\frac{dx}{\sin{ax}\cos{ax}}}$}
+$$\int{\frac{1}{\sin{ax}\cos{ax}}}=
+\frac{1}{a}\ln~\tan{ax}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 36
+aa:=integrate(1/(sin(a*x)*cos(a*x)),x)
+--R 
+--R
+--R              sin(a x)              2cos(a x)
+--R        log(------------) - log(- ------------)
+--R            cos(a x) + 1          cos(a x) + 1
+--R   (1)  ---------------------------------------
+--R                           a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.405~~~~~$\displaystyle
+\int{\frac{dx}{\sin^2{ax}\cos{ax}}}$}
+$$\int{\frac{1}{\sin^2{ax}\cos{ax}}}=
+\frac{1}{a}\ln~\tan\left(\frac{\pi}{4}+\frac{ax}{2}\right)-\frac{1}{a\sin{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 7 of 36
+aa:=integrate(1/(sin(a*x)^2*cos(a*x)),x)
+--R 
+--R
+--R   (1)
+--R                   sin(a x) + cos(a x) + 1
+--R       sin(a x)log(-----------------------)
+--R                         cos(a x) + 1
+--R     + 
+--R                     sin(a x) - cos(a x) - 1
+--R       - sin(a x)log(-----------------------) - 1
+--R                           cos(a x) + 1
+--R  /
+--R     a sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.406~~~~~$\displaystyle
+\int{\frac{dx}{\sin{ax}\cos^2{ax}}}$}
+$$\int{\frac{1}{\sin{ax}\cos^2{ax}}}=
+\frac{1}{a}\ln~\tan\frac{ax}{2}+\frac{1}{a\cos{ax}}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 36
+aa:=integrate(1/(sin(a*x)*cos(a*x)^2),x)
+--R 
+--R
+--R                      sin(a x)
+--R        cos(a x)log(------------) + cos(a x) + 1
+--R                    cos(a x) + 1
+--R   (1)  ----------------------------------------
+--R                       a cos(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.407~~~~~$\displaystyle
+\int{\frac{dx}{\sin^2{ax}\cos^2{ax}}}$}
+$$\int{\frac{1}{\sin^2{ax}\cos^2{ax}}}=
+-\frac{2\cot{2ax}}{a}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 36
+aa:=integrate(1/(sin(a*x)^2*cos(a*x)^2),x)
+--R 
+--R
+--R                    2
+--R         - 2cos(a x)  + 1
+--R   (1)  ------------------
+--R        a cos(a x)sin(a x)
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.408~~~~~$\displaystyle
+\int{\frac{\sin^2{ax}}{\cos{ax}}}~dx$}
+$$\int{\frac{\sin^2{ax}}{\cos{ax}}}=
+-\frac{\sin{ax}}{a}+\frac{1}{a}\ln~\tan\left(\frac{ax}{2}+\frac{\pi}{4}\right)
+$$
+<<*>>=
+)clear all
+
+--S 10 of 36
+aa:=integrate(sin(a*x)^2/cos(a*x),x)
+--R 
+--R
+--R            sin(a x) + cos(a x) + 1        sin(a x) - cos(a x) - 1
+--R        log(-----------------------) - log(-----------------------) - sin(a x)
+--R                  cos(a x) + 1                   cos(a x) + 1
+--R   (1)  ----------------------------------------------------------------------
+--R                                           a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.409~~~~~$\displaystyle
+\int{\frac{\cos^2{ax}}{\sin{ax}}}~dx$}
+$$\int{\frac{\cos^2{ax}}{\sin{ax}}}=
+\frac{\cos{ax}}{a}+\frac{1}{a}\ln~\tan{\frac{ax}{2}}
+$$
+<<*>>=
+)clear all
+
+--S 11 of 36
+aa:=integrate(cos(a*x)^2/sin(a*x),x)
+--R 
+--R
+--R              sin(a x)
+--R        log(------------) + cos(a x)
+--R            cos(a x) + 1
+--R   (1)  ----------------------------
+--R                      a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.410~~~~~$\displaystyle
+\int{\frac{dx}{\cos{ax}(1\pm\sin{ax})}}$}
+$$\int{\frac{1}{\cos{ax}(1\pm\sin{ax})}}=
+\mp\frac{1}{2a(1\pm\sin{ax})}
++\frac{1}{2a}\ln~\tan\left(\frac{ax}{2}+\frac{\pi}{4}\right)
+$$
+<<*>>=
+)clear all
+
+--S 12 of 36
+aa:=integrate(1/(cos(a*x)*(1+sin(a*x))),x)
+--R 
+--R
+--R   (1)
+--R                         sin(a x) + cos(a x) + 1
+--R       (sin(a x) + 1)log(-----------------------)
+--R                               cos(a x) + 1
+--R     + 
+--R                           sin(a x) - cos(a x) - 1
+--R       (- sin(a x) - 1)log(-----------------------) + sin(a x)
+--R                                 cos(a x) + 1
+--R  /
+--R     2a sin(a x) + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)clear all 
+
+--S 13 of 36
+aa:=integrate(1/(cos(a*x)*(1-sin(a*x))),x)
+--R 
+--R
+--R   (1)
+--R                         sin(a x) + cos(a x) + 1
+--R       (sin(a x) - 1)log(-----------------------)
+--R                               cos(a x) + 1
+--R     + 
+--R                           sin(a x) - cos(a x) - 1
+--R       (- sin(a x) + 1)log(-----------------------) - sin(a x)
+--R                                 cos(a x) + 1
+--R  /
+--R     2a sin(a x) - 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.411~~~~~$\displaystyle
+\int{\frac{dx}{\sin{ax}(1\pm\cos{ax})}}$}
+$$\int{\frac{1}{\sin{ax}(1\pm\cos{ax})}}=
+\pm\frac{1}{2a(1\pm\cos{ax})}+\frac{1}{2a}\ln~\tan\frac{ax}{2}
+$$
+<<*>>=
+)clear all
+
+--S 14 of 36
+aa:=integrate(1/(sin(a*x)*(1+cos(a*x))),x)
+--R 
+--R
+--R                             sin(a x)
+--R        (2cos(a x) + 2)log(------------) - cos(a x) + 1
+--R                           cos(a x) + 1
+--R   (1)  -----------------------------------------------
+--R                        4a cos(a x) + 4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)clear all
+
+--S 15 of 36
+aa:=integrate(1/(sin(a*x)*(1-cos(a*x))),x)
+--R 
+--R
+--R                             sin(a x)
+--R        (2cos(a x) - 2)log(------------) + cos(a x) + 1
+--R                           cos(a x) + 1
+--R   (1)  -----------------------------------------------
+--R                        4a cos(a x) - 4a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.412~~~~~$\displaystyle
+\int{\frac{dx}{\sin{ax}\pm\cos{ax}}}$}
+$$\int{\frac{1}{\sin{ax}\pm\cos{ax}}}=
+\frac{1}{a\sqrt{2}}\ln~\tan\left(\frac{ax}{2}\pm\frac{\pi}{8}\right)
+$$
+<<*>>=
+)clear all
+
+--S 16 of 36
+aa:=integrate(1/(sin(a*x)+cos(a*x)),x)
+--R 
+--R
+--R                    +-+                  +-+                 +-+
+--R         +-+    (- \|2  + 1)sin(a x) + (\|2  - 1)cos(a x) + \|2  - 2
+--R        \|2 log(----------------------------------------------------)
+--R                                 sin(a x) + cos(a x)
+--R   (1)  -------------------------------------------------------------
+--R                                      2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)clear all
+
+--S 17 of 36
+aa:=integrate(1/(sin(a*x)-cos(a*x)),x)
+--R 
+--R
+--R                    +-+                    +-+                 +-+
+--R         +-+    (- \|2  + 1)sin(a x) + (- \|2  + 1)cos(a x) - \|2  + 2
+--R        \|2 log(------------------------------------------------------)
+--R                                  sin(a x) - cos(a x)
+--R   (1)  ---------------------------------------------------------------
+--R                                       2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.413~~~~~$\displaystyle
+\int{\frac{\sin{ax}~dx}{\sin{ax}\pm\cos{ax}}}$}
+$$\int{\frac{\sin{ax}}{\sin{ax}\pm\cos{ax}}}=
+\frac{x}{2}\mp\frac{1}{2a}\ln(\sin{ax}\pm\cos{ax})
+$$
+<<*>>=
+)clear all
+
+--S 18 of 36
+aa:=integrate(sin(a*x)/(sin(a*x)+cos(a*x)),x)
+--R 
+--R
+--R                  2             - 2sin(a x) - 2cos(a x)
+--R        log(------------) - log(-----------------------) + a x
+--R            cos(a x) + 1              cos(a x) + 1
+--R   (1)  ------------------------------------------------------
+--R                                  2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)clear all 
+
+--S 19 of 36
+aa:=integrate(sin(a*x)/(sin(a*x)-cos(a*x)),x)
+--R 
+--R
+--R            2sin(a x) - 2cos(a x)              2
+--R        log(---------------------) - log(------------) + a x
+--R                 cos(a x) + 1            cos(a x) + 1
+--R   (1)  ----------------------------------------------------
+--R                                 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.414~~~~~$\displaystyle
+\int{\frac{cos{ax}~dx}{\sin{ax}\pm{\cos{ax}}}}$}
+$$\int{\frac{cos{ax}}{\sin{ax}\pm{\cos{ax}}}}=
+\pm\frac{x}{2}+\frac{1}{2a}\ln(sin{ax}\pm\cos{ax})
+$$
+<<*>>=
+)clear all
+
+--S 20 of 36
+aa:=integrate(cos(a*x)/(sin(a*x)+cos(a*x)),x)
+--R 
+--R
+--R                    2             - 2sin(a x) - 2cos(a x)
+--R        - log(------------) + log(-----------------------) + a x
+--R              cos(a x) + 1              cos(a x) + 1
+--R   (1)  --------------------------------------------------------
+--R                                   2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)clear all
+
+--S 21 of 36
+aa:=integrate(cos(a*x)/(sin(a*x)-cos(a*x)),x)
+--R 
+--R
+--R            2sin(a x) - 2cos(a x)              2
+--R        log(---------------------) - log(------------) - a x
+--R                 cos(a x) + 1            cos(a x) + 1
+--R   (1)  ----------------------------------------------------
+--R                                 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.415~~~~~$\displaystyle
+\int{\frac{\sin{ax}~dx}{p+q\cos{ax}}}$}
+$$\int{\frac{\sin{ax}}{p+q\cos{ax}}}=
+-\frac{1}{aq}\ln(p+q\cos{ax})
+$$
+<<*>>=
+)clear all
+
+--S 22 of 36
+aa:=integrate(sin(a*x)/(p+q*cos(a*x)),x)
+--R 
+--R
+--R                  2             - 2q cos(a x) - 2p
+--R        log(------------) - log(------------------)
+--R            cos(a x) + 1           cos(a x) + 1
+--R   (1)  -------------------------------------------
+--R                            a q
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.416~~~~~$\displaystyle
+\int{\frac{\cos{ax}~dx}{p+q\sin{ax}}}$}
+$$\int{\frac{\cos{ax}}{p+q\sin{ax}}}=
+\frac{1}{aq}\ln(p+q\sin{ax})
+$$
+<<*>>=
+)clear all
+
+--S 23 of 36
+aa:=integrate(cos(a*x)/(p+q*sin(a*x)),x)
+--R 
+--R
+--R            2q sin(a x) + 2p              2
+--R        log(----------------) - log(------------)
+--R              cos(a x) + 1          cos(a x) + 1
+--R   (1)  -----------------------------------------
+--R                           a q
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.417~~~~~$\displaystyle
+\int{\frac{\sin{ax}~dx}{(p+q\cos{ax})^n}}$}
+$$\int{\frac{\sin{ax}}{(p+q\cos{ax})^n}}=
+\frac{1}{aq(n-1)(p+q\cos{ax})^{n-1}}
+$$
+<<*>>=
+)clear all
+
+--S 24 of 36
+aa:=integrate(sin(a*x)/(p+q*cos(a*x))^n,x)
+--R 
+--R
+--R                  q cos(a x) + p
+--R   (1)  ----------------------------------
+--R                     n log(q cos(a x) + p)
+--R        (a n - a)q %e
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.418~~~~~$\displaystyle
+\int{\frac{\cos{ax}~dx}{(p+q\sin{ax})^n}}$}
+$$\int{\frac{\cos{ax}}{(p+q\sin{ax})^n}}=
+\frac{-1}{aq(n-1)(p+q\sin{ax})^{n-1}}
+$$
+<<*>>=
+)clear all
+
+--S 25 of 36
+aa:=integrate(cos(a*x)/(p+q*sin(a*x))^n,x)
+--R 
+--R
+--R                 - q sin(a x) - p
+--R   (1)  ----------------------------------
+--R                     n log(q sin(a x) + p)
+--R        (a n - a)q %e
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.419~~~~~$\displaystyle
+\int{\frac{dx}{p\sin{ax}+q\cos{ax}}}$}
+$$\int{\frac{1}{p\sin{ax}+q\cos{ax}}}=
+\frac{1}{a\sqrt{p^2+q^2}}\ln~\tan\left(\frac{ax+\tan^{-1}(q/p)}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 26 of 36
+aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)),x)
+--R 
+--R
+--R   (1)
+--R     log
+--R                                                  +-------+
+--R                             2            2    2  | 2    2
+--R            (p q sin(a x) - p cos(a x) - q  - p )\|q  + p
+--R          + 
+--R                3    2                 2    3               2    3
+--R            (- q  - p q)sin(a x) + (p q  + p )cos(a x) + p q  + p
+--R       /
+--R          p sin(a x) + q cos(a x)
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  + p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.420~~~~~$\displaystyle
+\int{\frac{dx}{p\sin{ax}+q\cos{ax}+r}}$}
+$$\int{\frac{1}{p\sin{ax}+q\cos{ax}+r}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{2}{a\sqrt{r^2-p^2-q^q}}
+\tan^{-1}\left(\frac{p+(r-q)\tan(ax/2)}{\sqrt{r^2-p^2-a^2}}\right)\\
+\\
+\displaystyle
+\frac{1}{a\sqrt{p^2+q^2-r^2}}\ln\left(
+\frac{p-\sqrt{p^2+q^2-r^2}+(r-q)\tan{(ax/2)}}
+{p+\sqrt{p^2+q^2-r^2}+(r-q)\tan{(ax/2)}}\right)
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 27 of 36
+aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+r),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                                              2          2                   2
+--R                    (p r - p q)sin(a x) + (- r  + q r + p )cos(a x) - q r + q
+--R                  + 
+--R                     2
+--R                    p
+--R             *
+--R                 +--------------+
+--R                 |   2    2    2
+--R                \|- r  + q  + p
+--R            + 
+--R                3      2       2    2      3    2
+--R              (r  - q r  + (- q  - p )r + q  + p q)sin(a x)
+--R            + 
+--R                  2      2    3               2      2    3
+--R              (p r  - p q  - p )cos(a x) + p r  - p q  - p
+--R         /
+--R            p sin(a x) + q cos(a x) + r
+--R    /
+--R         +--------------+
+--R         |   2    2    2
+--R       a\|- r  + q  + p
+--R     ,
+--R                                             +------------+
+--R                                             | 2    2    2
+--R          ((r - q)sin(a x) + p cos(a x) + p)\|r  - q  - p
+--R    2atan(-------------------------------------------------)
+--R                  2    2    2             2    2    2
+--R                (r  - q  - p )cos(a x) + r  - q  - p
+--R    --------------------------------------------------------]
+--R                          +------------+
+--R                          | 2    2    2
+--R                        a\|r  - q  - p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.421~~~~~$\displaystyle
+\int{\frac{dx}{p\sin{ax}+q(1+\cos{ax})}}$}
+$$\int{\frac{1}{p\sin{ax}+q(1+\cos{ax})}}=
+\frac{1}{ap}\ln\left(q+p\tan{\frac{ax}{2}}\right)
+$$
+<<*>>=
+)clear all
+
+--S 28 of 36
+aa:=integrate(1/(p*sin(a*x)+q*(1+cos(a*x))),x)
+--R 
+--R
+--R            p sin(a x) + q cos(a x) + q
+--R        log(---------------------------)
+--R                    cos(a x) + 1
+--R   (1)  --------------------------------
+--R                       a p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.422~~~~~$\displaystyle
+\int{\frac{dx}{p\sin{ax}+q\cos{ax}\pm\sqrt{p^2+q^2}}}$}
+$$\int{\frac{1}{p\sin{ax}+q\cos{ax}\pm\sqrt{p^2+q^2}}}=
+\frac{-1}{a\sqrt{p^2+q^2}}
+\tan\left(\frac{\pi}{4}\mp\frac{ax+\tan^{-1}{(q/p)}}{2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 29 of 36
+aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)+sqrt(p^2+q^2)),x)
+--R 
+--R
+--R   (1)
+--R                                                                 +-------+
+--R            5      2 3      4                5      2 3      4   | 2    2
+--R       ((64q  + 64p q  + 12p q)cos(a x) + 64q  + 64p q  + 12p q)\|q  + p
+--R     + 
+--R             6      2 4      4 2     6               6      2 4      4 2     6
+--R       (- 64q  - 96p q  - 36p q  - 2p )cos(a x) - 64q  - 96p q  - 36p q  - 2p
+--R  /
+--R                 6        2 4        4 2      6
+--R           (64a q  + 80a p q  + 24a p q  + a p )sin(a x)
+--R         + 
+--R                   5        3 3       5                    5        3 3       5
+--R         (- 32a p q  - 32a p q  - 6a p q)cos(a x) - 32a p q  - 32a p q  - 6a p q
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R               7         2 5        4 3       6
+--R       (- 64a q  - 112a p q  - 56a p q  - 7a p q)sin(a x)
+--R     + 
+--R               6        3 4        5 2      7                   6        3 4
+--R       (32a p q  + 48a p q  + 18a p q  + a p )cos(a x) + 32a p q  + 48a p q
+--R     + 
+--R            5 2      7
+--R       18a p q  + a p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)clear all
+
+--S 30 of 36
+aa:=integrate(1/(p*sin(a*x)+q*cos(a*x)-sqrt(p^2+q^2)),x)
+--R 
+--R
+--R   (1)
+--R                                                                 +-------+
+--R            5      2 3      4                5      2 3      4   | 2    2
+--R       ((64q  + 64p q  + 12p q)cos(a x) + 64q  + 64p q  + 12p q)\|q  + p
+--R     + 
+--R           6      2 4      4 2     6               6      2 4      4 2     6
+--R       (64q  + 96p q  + 36p q  + 2p )cos(a x) + 64q  + 96p q  + 36p q  + 2p
+--R  /
+--R                 6        2 4        4 2      6
+--R           (64a q  + 80a p q  + 24a p q  + a p )sin(a x)
+--R         + 
+--R                   5        3 3       5                    5        3 3       5
+--R         (- 32a p q  - 32a p q  - 6a p q)cos(a x) - 32a p q  - 32a p q  - 6a p q
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R     + 
+--R             7         2 5        4 3       6
+--R       (64a q  + 112a p q  + 56a p q  + 7a p q)sin(a x)
+--R     + 
+--R                 6        3 4        5 2      7                   6        3 4
+--R       (- 32a p q  - 48a p q  - 18a p q  - a p )cos(a x) - 32a p q  - 48a p q
+--R     + 
+--R              5 2      7
+--R       - 18a p q  - a p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.423~~~~~$\displaystyle
+\int{\frac{dx}{p^2\sin^2{ax}+q^2\cos^2{ax}}}$}
+$$\int{\frac{1}{p^2\sin^2{ax}+q^2\cos^2{ax}}}=
+\frac{1}{apq}\tan^{-1}\left(\frac{p\tan{ax}}{q}\right)
+$$
+<<*>>=
+)clear all
+
+--S 31 of 36
+aa:=integrate(1/(p^2*sin(a*x)^2+q^2*cos(a*x)^2),x)
+--R 
+--R
+--R                   2     2              2
+--R                ((q  - 2p )cos(a x) - 2p )sin(a x)            q sin(a x)
+--R        - atan(-----------------------------------) + atan(----------------)
+--R                           2                               2p cos(a x) + 2p
+--R               p q cos(a x)  + 2p q cos(a x) + p q
+--R   (1)  --------------------------------------------------------------------
+--R                                        a p q
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.424~~~~~$\displaystyle
+\int{\frac{dx}{p^2\sin^2{ax}-q^2\cos^2{ax}}}$}
+$$\int{\frac{1}{p^2\sin^2{ax}-q^2\cos^2{ax}}}=
+\frac{1}{2apq}\ln\left(\frac{p\tan{ax}-q}{p\tan{ax}+q}\right)
+$$
+<<*>>=
+)clear all
+
+--S 32 of 36
+aa:=integrate(1/(p^2*sin(a*x)^2-q^2*cos(a*x)^2),x)
+--R 
+--R
+--R            2p sin(a x) - 2q cos(a x)        - 2p sin(a x) - 2q cos(a x)
+--R        log(-------------------------) - log(---------------------------)
+--R                   cos(a x) + 1                      cos(a x) + 1
+--R   (1)  -----------------------------------------------------------------
+--R                                      2a p q
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.425~~~~~$\displaystyle
+\int{\sin^m{ax}\cos^n{ax}}~dx$}
+$$\int{\sin^m{ax}\cos^n{ax}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+-\frac{\sin^{m-1}{ax}\cos^{n+1}ax}{a(m+n)}
++\frac{m-1}{m+n}\int{\sin^{m-2}{ax}\cos^n{ax}}\\
+\\
+\displaystyle
+\frac{\sin^{m+1}{ax}\cos^{n-1}{ax}}{a(m+n)}
++\frac{n-1}{m+n}\int{\sin^m{ax}\cos^{n-2}{ax}}
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 33 of 36
+aa:=integrate(sin(a*x)^m*cos(a*x)^n,x)
+--R 
+--R
+--R           x
+--R         ++           n         m
+--I   (1)   |   cos(%H a) sin(%H a) d%H
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.426~~~~~$\displaystyle
+\int{\frac{\sin^m{ax}}{\cos^n{ax}}}~dx$}
+$$\int{\frac{\sin^m{ax}}{\cos^n{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{\sin^{m-1}{ax}}{a(n-1)\cos^{n-1}{ax}}
+-\frac{m-1}{n-1}\int{\frac{\sin^{m-2}{ax}}{\cos^{n-2}{ax}}}\\
+\\
+\displaystyle
+\frac{\sin^{m+1}{ax}}{a(n-1)\cos^{n-1}{ax}}
+-\frac{m-n+2}{n-1}\int{\frac{\sin^m{ax}}{\cos^{n-2}{ax}}}\\
+\\
+\displaystyle
+\frac{-\sin^{m-1}{ax}}{a(m-n)\cos^{n-1}{ax}}
++\frac{m-1}{m-n}\int{\frac{\sin^{m-2}{ax}}{\cos^n{ax}}}
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 34 of 36
+aa:=integrate(sin(a*x)^m/cos(a*x)^n,x)
+--R 
+--R
+--R           x          m
+--I         ++  sin(%H a)
+--I   (1)   |   ---------- d%H
+--R        ++            n
+--I             cos(%H a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.427~~~~~$\displaystyle
+\int{\frac{\cos^m{ax}}{\sin^n{ax}}}~dx$}
+$$\int{\frac{\cos^m{ax}}{\sin^n{ax}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{-\cos^{m-1}{ax}}{a(n-1)\sin^{n-1}{ax}}
+-\frac{m-1}{n-1}\int{\frac{\cos^{m-2}{ax}}{\sin^{n-2}{ax}}}\\
+\\
+\displaystyle
+\frac{-\cos^{m+1}{ax}}{a(n-1)\sin^{n-1}{ax}}
+-\frac{m-n+2}{n-1}\int{\frac{\cos^m{ax}}{\sin^{n-2}{ax}}}\\
+\\
+\displaystyle
+\frac{\cos^{m-1}{ax}}{a(m-n)\sin^{n-1}{ax}}
++\frac{m-1}{m-n}\int{\frac{\cos^{m-2}{ax}}{\sin^n{ax}}}
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 35 of 36
+aa:=integrate(cos(a*x)^m/sin(a*x)^n,x)
+--R 
+--R
+--R           x          m
+--I         ++  cos(%H a)
+--I   (1)   |   ---------- d%H
+--R        ++            n
+--I             sin(%H a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.428~~~~~$\displaystyle
+\int{\frac{dx}{\sin^m{ax}\cos^n{ax}}}$}
+$$\int{\frac{1}{\sin^m{ax}\cos^n{ax}}}
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{a(n-1)\sin^{m-1}{ax}\cos^{n-1}{ax}}
++\frac{m+n-2}{n-1}\int{\frac{1}{\sin^m{ax}\cos^{n-2}{ax}}}\\
+\\
+\displaystyle
+\frac{-1}{a(m-1)\sin^{m-1}{ax}\cos^{n-1}{ax}}
++\frac{m+n-2}{m-1}\int{\frac{1}{\sin^{m-2}{ax}\cos^n{ax}}}
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 36 of 36
+aa:=integrate(1/(sin(a*x)^m*cos(a*x)^n),x)
+--R 
+--R
+--R           x
+--R         ++            1
+--I   (1)   |   -------------------- d%H
+--R        ++            n         m
+--I             cos(%H a) sin(%H a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp78-80
+\end{thebibliography}
+\end{document}
